Skip to content

Get report status ​

GET /api/v1/report-data/{reportRequestId}

Polls report status by reportRequestId. data is null until COMPLETED; completed_at is only set for completed jobs and error is only set for failed jobs. For operator-revenue, data is an object with period and results, as in the example below. For revenue-by-menu, revenue-by-fiscal-device, revenue-by-main-category, and revenue-by-category, data is a root array of rows (see report results). For orders-summary, data is the root array of closed-account rows. Completed data is deleted 7 to 8 days after completed_at; polling the report after that returns 404.

Request ​

http
GET https://es.dev.hype-software.com/api/v1/report-data/{reportRequestId}
Authorization: Bearer YOUR_API_TOKEN
Accept: application/json
Content-Type: application/json

Path parameters ​

ParameterExample
reportRequestIdYour reportRequestId

Response examples ​

200 · Get report status - pending ​

json
{
  "jobId": "a0ffc461-33b6-4dcc-b916-1932f339b1f4",
  "status": "PENDING",
  "data": null
}

200 · Get report status - completed ​

json
{
  "jobId": "a0ffc461-33b6-4dcc-b916-1932f339b1f4",
  "status": "COMPLETED",
  "data": {
    "period": {
      "startDate": "2025-01-01T00:00:00.000Z",
      "endDate": "2025-01-30T23:59:59.000Z"
    },
    "results": [
      {
        "operatorId": "user_2",
        "revenue": 30,
        "reversed": 0,
        "fiscalReversed": 0,
        "nonFiscalReversed": 0,
        "openTableAccounts": 3,
        "openTableAccountsSum": 0,
        "tableAccountsSurchargeSum": 0,
        "tableAccountId": 0,
        "types": [
          {
            "paymentTypeId": 1,
            "translationKey": "CASH",
            "amount": 30,
            "reversed": 0,
            "fiscalAmount": 30,
            "nonFiscalAmount": 0,
            "fiscalReversed": 0,
            "nonFiscalReversed": 0
          }
        ],
        "operatorFirstName": "Super Admin",
        "operatorLastName": null,
        "fiscalRevenue": 30,
        "nonFiscalRevenue": 0,
        "numberOfClients": 0,
        "clientDepositSum": 0
      }
    ]
  },
  "completed_at": "2026-02-04T11:15:27+00:00"
}

Hype Exchange Service API